    <?php
/**
 * 連載記事ユニット縦4列.
 *
 * @package extunits\extBImg4Txt4
 *
 * @copyright 2008-2017 Shift Tech Inc. All Rights Reserved.
 * @author    シフトテック株式会社<http://www.shift-tech.jp>
 *
 * @version 1.0
 */
require_once(LIB_PATH.'/common/unitCommon.php');
require_once(LIB_PATH.'/common/imgmngrDB.php');

class extBImg4Txt4 extends unitCommon
{
    //------ ユニット毎に必ず設定しなくてはならない変数 -------//
    public $_table = "extunit_extbimg4txt4";         //公開用テーブル名
    public $_tmptable = "extunit_extbimg4txt4_tmp";    //下書き用テーブル名
    public $columns = array(
        array('column'=>'pageu_code','conv'=>'n','tags'=>false),        //
        array('column'=>'big4tx4_img1','conv'=>'a','tags'=>false),        //
        array('column'=>'big4tx4_alt1','conv'=>'KV','tags'=>false),        //[1]ALT
        array('column'=>'big4tx4_cap1','conv'=>'KV','tags'=>false),        //[1]キャプション
        array('column'=>'big4tx4_clc_flg1','conv'=>'n','tags'=>false),    //[1]クリック時の動作
        array('column'=>'big4tx4_jmp_url1','conv'=>'a','tags'=>false),    //[1]リンク先URL
        array('column'=>'big4tx4_jmp_flg1','conv'=>'n','tags'=>false),    //[1]リンク方法
        array('column'=>'big4tx4_txt1','conv'=>'KV','tags'=>true),        //[1]テキスト
        array('column'=>'big4tx4_img2','conv'=>'a','tags'=>false),        //
        array('column'=>'big4tx4_alt2','conv'=>'KV','tags'=>false),        //[2]ALT
        array('column'=>'big4tx4_cap2','conv'=>'KV','tags'=>false),        //[2]キャプション
        array('column'=>'big4tx4_clc_flg2','conv'=>'n','tags'=>false),    //[2]クリック時の動作
        array('column'=>'big4tx4_jmp_url2','conv'=>'a','tags'=>false),    //[2]リンク先URL
        array('column'=>'big4tx4_jmp_flg2','conv'=>'n','tags'=>false),    //[2]リンク方法
        array('column'=>'big4tx4_txt2','conv'=>'KV','tags'=>true),        //[2]テキスト
        array('column'=>'big4tx4_img3','conv'=>'a','tags'=>false),        //
        array('column'=>'big4tx4_alt3','conv'=>'KV','tags'=>false),        //[3]ALT
        array('column'=>'big4tx4_cap3','conv'=>'KV','tags'=>false),        //[3]キャプション
        array('column'=>'big4tx4_clc_flg3','conv'=>'n','tags'=>false),    //[3]クリック時の動作
        array('column'=>'big4tx4_jmp_url3','conv'=>'a','tags'=>false),    //[3]リンク先URL
        array('column'=>'big4tx4_jmp_flg3','conv'=>'n','tags'=>false),    //[3]リンク方法
        array('column'=>'big4tx4_txt3','conv'=>'KV','tags'=>true),        //[3]テキスト
        array('column'=>'big4tx4_img4','conv'=>'a','tags'=>false),        //
        array('column'=>'big4tx4_alt4','conv'=>'KV','tags'=>false),        //[4]ALT
        array('column'=>'big4tx4_cap4','conv'=>'KV','tags'=>false),        //[4]キャプション
        array('column'=>'big4tx4_clc_flg4','conv'=>'n','tags'=>false),    //[4]クリック時の動作
        array('column'=>'big4tx4_jmp_url4','conv'=>'a','tags'=>false),    //[4]リンク先URL
        array('column'=>'big4tx4_jmp_flg4','conv'=>'n','tags'=>false),    //[4]リンク方法
        array('column'=>'big4tx4_txt4','conv'=>'KV','tags'=>true),        //[4]テキスト
        array('column'=>'big4tx4_img1_sp', 'conv' => 'a', 'tags' => false),    //
        array('column'=>'big4tx4_img2_sp', 'conv' => 'a', 'tags' => false),    //
        array('column'=>'big4tx4_img3_sp', 'conv' => 'a', 'tags' => false),    //
        array('column'=>'big4tx4_img4_sp', 'conv' => 'a', 'tags' => false),    //
        array('column'=>'big4tx4_sp_layout', 'conv' => 'n', 'tags' => false),    //
        array('column'=>'bg_color', 'conv' => '', 'tags' => false),      //背景色
        array('column'=>'bdr_type', 'conv' => '', 'tags' => false),      //囲み線
        array('column'=>'btm_padding', 'conv' => '', 'tags' => false),    //下部余白
        array('column'=>'bg_color_sp', 'conv' => 'n', 'tags' => false),    //背景色
        array('column'=>'bdr_type_sp', 'conv' => 'n', 'tags' => false),    //枠線
        array('column'=>'btm_padding_sp', 'conv' => 'n', 'tags' => false),  //下方スペース
        array('column'=>'use_pc_flg', 'conv' => 'n', 'tags' => false),    //PC表示 v1.6
        array('column'=>'use_sp_flg', 'conv' => 'n', 'tags' => false),      //スマホ表示
        array('column'=>'extra_class', 'conv' => 'as', 'tags' => false),  //追加クラス
        array('column'=>'option_extend', 'conv' => 'n', 'tags' => false),  //デザインオプションの継承
    );
    public $jflg = array(1=>' target=\"_blank\"', 2=>'', 3=>' target=\"_top\"');

    public function __construct()
    {
        unitCommon::__construct();
    }
    //-----------------

    //出力データセット処理（必須）
    public function setDisplayData()
    {
        $this->_data = $this->getDetail();
        if ($this->_data) {
            //画像パス
            if (defined('SP_FLG') && SP_FLG == SP_FLG_CODE) {
                if ($this->_data['big4tx4_img1_sp']) {
                    $this->_data['big4tx4_img1'] = $this->_data['big4tx4_img1_sp'];
                }
                if ($this->_data['big4tx4_img2_sp']) {
                    $this->_data['big4tx4_img2'] = $this->_data['big4tx4_img2_sp'];
                }
                if ($this->_data['big4tx4_img3_sp']) {
                    $this->_data['big4tx4_img3'] = $this->_data['big4tx4_img3_sp'];
                }
                if ($this->_data['big4tx4_img4_sp']) {
                    $this->_data['big4tx4_img4'] = $this->_data['big4tx4_img4_sp'];
                }
            }
            //画像パス
            $this->_data['path1'] = UNITS_IMG_PATH.$this->_data['big4tx4_img1'];
            $this->_data['path2'] = UNITS_IMG_PATH.$this->_data['big4tx4_img2'];
            $this->_data['path3'] = UNITS_IMG_PATH.$this->_data['big4tx4_img3'];
            $this->_data['path4'] = UNITS_IMG_PATH.$this->_data['big4tx4_img4'];
            //aタグ
            $this->_data['a1_1'] = '';
            $this->_data['a1_2'] = '';
            $this->_data['a2_1'] = '';
            $this->_data['a2_2'] = '';
            $this->_data['a3_1'] = '';
            $this->_data['a3_2'] = '';
            $this->_data['a4_1'] = '';
            $this->_data['a4_2'] = '';
            //画像1
            if ($this->_data['big4tx4_clc_flg1']!=0) {
                switch ($this->_data['big4tx4_clc_flg1']) {
                    case 1:
                        if (is_file(BASE_PATH.UNITS_IMG_PATH.$this->_data['big4tx4_img1'])) {
                            list($wth, $hgt, $type, $attr) = getimagesize(BASE_PATH.UNITS_IMG_PATH.$this->_data['big4tx4_img1']);
                        }
                        $this->_data['a1_1'] = "<a href=\"javascript:void(0);\" onClick=\"window.open('".$this->_current_topurl.$this->_data['path1']."', null, 'width=".$wth.",height=".$hgt."');\">";
                        break;
                    case 2:
                        $this->_data['a1_1'] = "<a href=\"".$this->_current_topurl.$this->_data['path1']."\" rel=\"lightbox[ligthbox]\"".$this->jflg[$this->_data['big4tx4_jmp_flg1']].">";
                        break;
                    case 3:
                        $this->_data['a1_1'] = "<a href=\"".$this->_data['big4tx4_jmp_url1']."\"".$this->jflg[$this->_data['big4tx4_jmp_flg1']].">";
                        break;
                    default:
                }
                $this->_data['a1_2'] = '</a>';
            }
            //画像2
            if ($this->_data['big4tx4_clc_flg2']!=0) {
                switch ($this->_data['big4tx4_clc_flg2']) {
                    case 1:
                        if (is_file(BASE_PATH.UNITS_IMG_PATH.$this->_data['big4tx4_img2'])) {
                            list($wth, $hgt, $type, $attr) = getimagesize(BASE_PATH.UNITS_IMG_PATH.$this->_data['big4tx4_img2']);
                        }
                        $this->_data['a2_1'] = "<a href=\"javascript:void(0);\" onClick=\"window.open('".$this->_current_topurl.$this->_data['path2']."', null, 'width=".$wth.",height=".$hgt."');\">";
                        break;
                    case 2:
                        $this->_data['a2_1'] = "<a href=\"".$this->_current_topurl.$this->_data['path2']."\" rel=\"lightbox[ligthbox]\"".$this->jflg[$this->_data['big4tx4_jmp_flg2']].">";
                        break;
                    case 3:
                        $this->_data['a2_1'] = "<a href=\"".$this->_data['big4tx4_jmp_url2']."\"".$this->jflg[$this->_data['big4tx4_jmp_flg2']].">";
                        break;
                    default:
                }
                $this->_data['a2_2'] = '</a>';
            }
            //画像3
            if ($this->_data['big4tx4_clc_flg3']!=0) {
                switch ($this->_data['big4tx4_clc_flg3']) {
                    case 1:
                        if (is_file(BASE_PATH.UNITS_IMG_PATH.$this->_data['big4tx4_img3'])) {
                            list($wth, $hgt, $type, $attr) = getimagesize(BASE_PATH.UNITS_IMG_PATH.$this->_data['big4tx4_img3']);
                        }
                        $this->_data['a3_1'] = "<a href=\"javascript:void(0);\" onClick=\"window.open('".$this->_current_topurl.$this->_data['path3']."', null, 'width=".$wth.",height=".$hgt."');\">";
                        break;
                    case 2:
                        $this->_data['a3_1'] = "<a href=\"".$this->_current_topurl.$this->_data['path3']."\" rel=\"lightbox[ligthbox]\"".$this->jflg[$this->_data['big4tx4_jmp_flg3']].">";
                        break;
                    case 3:
                        $this->_data['a3_1'] = "<a href=\"".$this->_data['big4tx4_jmp_url3']."\"".$this->jflg[$this->_data['big4tx4_jmp_flg3']].">";
                        break;
                    default:
                }
                $this->_data['a3_2'] = '</a>';
            }
            //画像4
            if ($this->_data['big4tx4_clc_flg4']!=0) {
                switch ($this->_data['big4tx4_clc_flg4']) {
                    case 1:
                        if (is_file(BASE_PATH.UNITS_IMG_PATH.$this->_data['big4tx4_img4'])) {
                            list($wth, $hgt, $type, $attr) = getimagesize(BASE_PATH.UNITS_IMG_PATH.$this->_data['big4tx4_img4']);
                        }
                        $this->_data['a4_1'] = "<a href=\"javascript:void(0);\" onClick=\"window.open('".$this->_current_topurl.$this->_data['path4']."', null, 'width=".$wth.",height=".$hgt."');\">";
                        break;
                    case 2:
                        $this->_data['a4_1'] = "<a href=\"".$this->_current_topurl.$this->_data['path4']."\" rel=\"lightbox[ligthbox]\"".$this->jflg[$this->_data['big4tx4_jmp_flg4']].">";
                        break;
                    case 3:
                        $this->_data['a4_1'] = "<a href=\"".$this->_data['big4tx4_jmp_url4']."\"".$this->jflg[$this->_data['big4tx4_jmp_flg4']].">";
                        break;
                    default:
                }
                $this->_data['a4_2'] = '</a>';
            }
        }
        $this->_view->assign('sptpl', dirname(__FILE__).'/extBImg4Txt4-sp.tpl');
        
        return $this->_data;
    }

    /*
     * DBより保存データ取得
     * 改変可能
     */
    public function getDetail()
    {
        $sql = "select * from ".$this->getTbl()." where pageu_code = ?";
        if (isset($this->_pageu_code)&&is_numeric($this->_pageu_code)) {
            $result = $this->db->prepare($sql, $this->_pageu_code);
            $rtn = $result->fetchRow(DB_FETCHMODE_ASSOC);
        }
        return $rtn;
    }


    public function setDefault()
    {
        $this->_form->setDefaults(array('big4tx4_clc_flg1'=>0));
        $this->_form->setDefaults(array('big4tx4_clc_flg2'=>0));
        $this->_form->setDefaults(array('big4tx4_clc_flg3'=>0));
        $this->_form->setDefaults(array('big4tx4_clc_flg4'=>0));
        $data = $this->getDetail();
        $this->_form->setDefaults($data);
        if ($data['big4tx4_img1']) {
            $this->_view->assign('image1', BINGOTOPURL.UNITS_IMG_PATH.$data['big4tx4_img1']);
        }
        if ($data['big4tx4_img2']) {
            $this->_view->assign('image2', BINGOTOPURL.UNITS_IMG_PATH.$data['big4tx4_img2']);
        }
        if ($data['big4tx4_img3']) {
            $this->_view->assign('image3', BINGOTOPURL.UNITS_IMG_PATH.$data['big4tx4_img3']);
        }
        if ($data['big4tx4_img4']) {
            $this->_view->assign('image4', BINGOTOPURL.UNITS_IMG_PATH.$data['big4tx4_img4']);
        }
        if ($data['big4tx4_img1_sp']) {
            $this->_view->assign('image1_sp', BINGOTOPURL.UNITS_IMG_PATH.$data['big4tx4_img1_sp']);
        }
        if ($data['big4tx4_img2_sp']) {
            $this->_view->assign('image2_sp', BINGOTOPURL.UNITS_IMG_PATH.$data['big4tx4_img2_sp']);
        }
        if ($data['big4tx4_img3_sp']) {
            $this->_view->assign('image3_sp', BINGOTOPURL.UNITS_IMG_PATH.$data['big4tx4_img3_sp']);
        }
        if ($data['big4tx4_img4_sp']) {
            $this->_view->assign('image4_sp', BINGOTOPURL.UNITS_IMG_PATH.$data['big4tx4_img4_sp']);
        }
    }

    //フォームエレメントの作成
    public function setElements()
    {
        $this->_form->addElement('hidden', 'pageu_code', $this->_pageu_code, array("id"=>"pageu_code")); //ページコード
        $this->_form->addElement('hidden', 'big4tx4_img1', null, array("id"=>"big4tx4_img1"));
        $this->_form->addElement('hidden', 'big4tx4_img2', null, array("id"=>"big4tx4_img2"));
        $this->_form->addElement('hidden', 'big4tx4_img3', null, array("id"=>"big4tx4_img3"));
        $this->_form->addElement('hidden', 'big4tx4_img4', null, array("id"=>"big4tx4_img4"));
        $this->_form->addElement('hidden', 'big4tx4_img1_sp', null, array("id"=>"big4tx4_img1_sp"));
        $this->_form->addElement('hidden', 'big4tx4_img2_sp', null, array("id"=>"big4tx4_img2_sp"));
        $this->_form->addElement('hidden', 'big4tx4_img3_sp', null, array("id"=>"big4tx4_img3_sp"));
        $this->_form->addElement('hidden', 'big4tx4_img4_sp', null, array("id"=>"big4tx4_img4_sp"));
        $this->_form->addElement('file', 'picture1', '');//画像アップ用ボタン
        $this->_form->addElement('file', 'picture2', '');//画像アップ用ボタン
        $this->_form->addElement('file', 'picture3', '');//画像アップ用ボタン
        $this->_form->addElement('file', 'picture4', '');//画像アップ用ボタン
        $this->_form->addElement('text', 'big4tx4_alt1', null, array('id'=>'big4tx4_alt1','size'=>40,'maxlength' => 200));
        $this->_form->addElement('text', 'big4tx4_alt2', null, array('id'=>'big4tx4_alt2','size'=>40,'maxlength' => 200));
        $this->_form->addElement('text', 'big4tx4_alt3', null, array('id'=>'big4tx4_alt3','size'=>40,'maxlength' => 200));
        $this->_form->addElement('text', 'big4tx4_alt4', null, array('id'=>'big4tx4_alt4','size'=>40,'maxlength' => 200));
        $this->_form->addElement('text', 'big4tx4_cap1', null, array('id'=>'big4tx4_cap1','size'=>40,'maxlength' => 200));
        $this->_form->addElement('text', 'big4tx4_cap2', null, array('id'=>'big4tx4_cap2','size'=>40,'maxlength' => 200));
        $this->_form->addElement('text', 'big4tx4_cap3', null, array('id'=>'big4tx4_cap3','size'=>40,'maxlength' => 200));
        $this->_form->addElement('text', 'big4tx4_cap4', null, array('id'=>'big4tx4_cap4','size'=>40,'maxlength' => 200));

        $tmp = array();
        $tmp[] = $this->_form->createElement('radio', null, null, 'なし', 0);
        $tmp[] = $this->_form->createElement('radio', null, null, '拡大表示', 1);
        $tmp[] = $this->_form->createElement('radio', null, null, '拡大表示（同ウィンドウ内）', 2);
        $tmp[] = $this->_form->createElement('radio', null, null, 'リンク', 3);
        $this->_form->addGroup($tmp, 'big4tx4_clc_flg1', array('id'=>'big4tx4_clc_flg1'));
        $tmp = array();
        $tmp[] = $this->_form->createElement('radio', null, null, 'なし', 0);
        $tmp[] = $this->_form->createElement('radio', null, null, '拡大表示', 1);
        $tmp[] = $this->_form->createElement('radio', null, null, '拡大表示（同ウィンドウ内）', 2);
        $tmp[] = $this->_form->createElement('radio', null, null, 'リンク', 3);
        $this->_form->addGroup($tmp, 'big4tx4_clc_flg2', array('id'=>'big4tx4_clc_flg2'));
        $tmp = array();
        $tmp[] = $this->_form->createElement('radio', null, null, 'なし', 0);
        $tmp[] = $this->_form->createElement('radio', null, null, '拡大表示', 1);
        $tmp[] = $this->_form->createElement('radio', null, null, '拡大表示（同ウィンドウ内）', 2);
        $tmp[] = $this->_form->createElement('radio', null, null, 'リンク', 3);
        $this->_form->addGroup($tmp, 'big4tx4_clc_flg3', array('id'=>'big4tx4_clc_flg3'));
        $tmp = array();
        $tmp[] = $this->_form->createElement('radio', null, null, 'なし', 0);
        $tmp[] = $this->_form->createElement('radio', null, null, '拡大表示', 1);
        $tmp[] = $this->_form->createElement('radio', null, null, '拡大表示（同ウィンドウ内）', 2);
        $tmp[] = $this->_form->createElement('radio', null, null, 'リンク', 3);
        $this->_form->addGroup($tmp, 'big4tx4_clc_flg4', array('id'=>'big4tx4_clc_flg4'));
        $this->_form->addElement('text', 'big4tx4_jmp_url1', null, array('id'=>'big4tx4_jmp_url1','size'=>40,'maxlength' => 200, 'style'=>'ime-mode:disabled'));
        $this->_form->addElement('text', 'big4tx4_jmp_url2', null, array('id'=>'big4tx4_jmp_url2','size'=>40,'maxlength' => 200, 'style'=>'ime-mode:disabled'));
        $this->_form->addElement('text', 'big4tx4_jmp_url3', null, array('id'=>'big4tx4_jmp_url3','size'=>40,'maxlength' => 200, 'style'=>'ime-mode:disabled'));
        $this->_form->addElement('text', 'big4tx4_jmp_url4', null, array('id'=>'big4tx4_jmp_url4','size'=>40,'maxlength' => 200, 'style'=>'ime-mode:disabled'));
        $sel01 =& $this->_form->addElement('select', 'big4tx4_jmp_flg1', array('id'=>'big4tx4_jmp_flg1'), null);
        $sel02 =& $this->_form->addElement('select', 'big4tx4_jmp_flg2', array('id'=>'big4tx4_jmp_flg2'), null);
        $sel03 =& $this->_form->addElement('select', 'big4tx4_jmp_flg3', array('id'=>'big4tx4_jmp_flg3'), null);
        $sel04 =& $this->_form->addElement('select', 'big4tx4_jmp_flg4', array('id'=>'big4tx4_jmp_flg4'), null);
        $sel01->addOption("新しいウィンドウ", 1);
        $sel01->addOption("同じウィンドウ", 2);
        $sel02->addOption("新しいウィンドウ", 1);
        $sel02->addOption("同じウィンドウ", 2);
        $sel03->addOption("新しいウィンドウ", 1);
        $sel03->addOption("同じウィンドウ", 2);
        $sel04->addOption("新しいウィンドウ", 1);
        $sel04->addOption("同じウィンドウ", 2);
        $this->_form->addElement('textarea', 'big4tx4_txt1', null, array('id'=>'big4tx4_txt1','rows'=>10,'style'=>'width:97%;'));
        $this->_form->addElement('textarea', 'big4tx4_txt2', null, array('id'=>'big4tx4_txt2','rows'=>10,'style'=>'width:97%;'));
        $this->_form->addElement('textarea', 'big4tx4_txt3', null, array('id'=>'big4tx4_txt3','rows'=>10,'style'=>'width:97%;'));
        $this->_form->addElement('textarea', 'big4tx4_txt4', null, array('id'=>'big4tx4_txt4','rows'=>10,'style'=>'width:97%;'));
        //表示中の画像サイズ
        $imgs_str = isset($_REQUEST['imgs']) ? $_REQUEST['imgs'] : null;
        $this->_form->addElement('hidden', 'imgs', $imgs_str, array('id' => 'imgs'));

        $this->_form->addElement('advcheckbox', 'big4tx4_sp_layout', null, _gettext('B_P00916'), array(), array(0, 1));

        $data = $this->getDetail();
        if (empty($data) || LICENSE::getMode() == 1) {
            $this->_form->addElement('hidden', 'autoregister1', 1);
            $this->_form->addElement('hidden', 'autoregister2', 1);
            $this->_form->addElement('hidden', 'autoregister3', 1);
            $this->_form->addElement('hidden', 'autoregister4', 1);
        } else {
            $this->_form->setDefaults(array('autoregister1' => 1));
            $this->_form->addElement('advcheckbox', 'autoregister1', null, _gettext('B_P00940'), array(), array(0, 1));

            $this->_form->setDefaults(array('autoregister2' => 1));
            $this->_form->addElement('advcheckbox', 'autoregister2', null, _gettext('B_P00940'), array(), array(0, 1));

            $this->_form->setDefaults(array('autoregister3' => 1));
            $this->_form->addElement('advcheckbox', 'autoregister3', null, _gettext('B_P00940'), array(), array(0, 1));

            $this->_form->setDefaults(array('autoregister4' => 1));
            $this->_form->addElement('advcheckbox', 'autoregister4', null, _gettext('B_P00940'), array(), array(0, 1));
        }
    }

    //フォーム入力エラーチェックの設定
    public function setRules()
    {
        $this->_form->applyFilter('__ALL__', 'trim');
        $this->_form->_submitValues = DataBase::ConvColumnVals($this->_form->_submitValues, $this->columns); //ルールに従った値変換、タグの除去
        $this->_form->setJsWarnings('下記の項目が不正です。', '');
        $this->_form->addRule('pageu_code', '・「ユニットコード」が不明です。コンテンツ管理よりやり直してください', 'required', null, $this->erchk);
        $obj = $this->_form->getElement("big4tx4_img1");
        if (!$obj->getValue()) {
            $this->_form->addRule('picture1', '・画像ファイル（1）を選択してください。', 'uploadedfile', null, 'server');
        }
        $this->_form->addRule('picture1', '・画像ファイル（1）のサイズが大きすぎます。<br />アップロード可能なファイルサイズは".MAX_FILE_SIZE/(1000*1000)."Mbyte未満となっております。', 'maxfilesize', MAX_FILE_SIZE, null, 'server');
        $this->_form->addRule('picture1', '・画像（1）のアップロードできるファイル形式は「JPEG, GIF, PNG」となっております。', 'mimetype', array("image/pjpeg","image/jpeg","image/gif","image/x-png","image/png"));
        $obj = $this->_form->getElement("big4tx4_img2");
        if (!$obj->getValue()) {
            $this->_form->addRule('picture2', '・画像ファイル（2）を選択してください。', 'uploadedfile', null, 'server');
        }
        $this->_form->addRule('picture2', '・画像ファイル（2）のサイズが大きすぎます。<br />アップロード可能なファイルサイズは".MAX_FILE_SIZE/(1000*1000)."Mbyte未満となっております。', 'maxfilesize', MAX_FILE_SIZE, null, 'server');
        $this->_form->addRule('picture2', '・画像（2）のアップロードできるファイル形式は「JPEG, GIF, PNG」となっております。', 'mimetype', array("image/pjpeg","image/jpeg","image/gif","image/x-png","image/png"));
        $obj = $this->_form->getElement("big4tx4_img3");
        if (!$obj->getValue()) {
            $this->_form->addRule('picture3', '・画像ファイル（3）を選択してください。', 'uploadedfile', null, 'server');
        }
        $this->_form->addRule('picture3', '・画像ファイル（3）のサイズが大きすぎます。<br />アップロード可能なファイルサイズは".MAX_FILE_SIZE/(1000*1000)."Mbyte未満となっております。', 'maxfilesize', MAX_FILE_SIZE, null, 'server');
        $this->_form->addRule('picture3', '・画像（3）のアップロードできるファイル形式は「JPEG, GIF, PNG」となっております。', 'mimetype', array("image/pjpeg","image/jpeg","image/gif","image/x-png","image/png"));
        $obj = $this->_form->getElement("big4tx4_img4");
        if (!$obj->getValue()) {
            $this->_form->addRule('picture4', '・画像ファイル（4）を選択してください。', 'uploadedfile', null, 'server');
        }
        $this->_form->addRule('picture4', '・画像ファイル（4）のサイズが大きすぎます。<br />アップロード可能なファイルサイズは".MAX_FILE_SIZE/(1000*1000)."Mbyte未満となっております。', 'maxfilesize', MAX_FILE_SIZE, null, 'server');
        $this->_form->addRule('picture4', '・画像（4）のアップロードできるファイル形式は「JPEG, GIF, PNG」となっております。', 'mimetype', array("image/pjpeg","image/jpeg","image/gif","image/x-png","image/png"));
        //URL（入力がある場合のみチェック）
        $this->_form->registerRule('check_url', 'callback', 'check_url');
        //リンク指定の場合URLは必須
        $obj2 = $this->_form->getElement("big4tx4_clc_flg1");
        if ($obj2->getValue()==3) {
            $this->_form->addRule('big4tx4_jmp_url1', '・（1）リンク先URLが不正です。', 'check_url', null, 'server');
            $this->_form->addRule('big4tx4_jmp_url1', '・（1）リンク先URLを入力してください。', 'required', null, $this->erchk);
        }
        $obj2 = $this->_form->getElement("big4tx4_clc_flg2");
        if ($obj2->getValue()==3) {
            $this->_form->addRule('big4tx4_jmp_url2', '・（2）リンク先URLが不正です。', 'check_url', null, 'server');
            $this->_form->addRule('big4tx4_jmp_url2', '・（2）リンク先URLを入力してください。', 'required', null, $this->erchk);
        }
        $obj2 = $this->_form->getElement("big4tx4_clc_flg3");
        if ($obj2->getValue()==3) {
            $this->_form->addRule('big4tx4_jmp_url3', '・（3）リンク先URLが不正です。', 'check_url', null, 'server');
            $this->_form->addRule('big4tx4_jmp_url3', '・（3）リンク先URLを入力してください。', 'required', null, $this->erchk);
        }
        $obj2 = $this->_form->getElement("big4tx4_clc_flg4");
        if ($obj2->getValue()==3) {
            $this->_form->addRule('big4tx4_jmp_url4', '・（4）リンク先URLが不正です。', 'check_url', null, 'server');
            $this->_form->addRule('big4tx4_jmp_url4', '・（4）リンク先URLを入力してください。', 'required', null, $this->erchk);
        }
        /*
        $this->_form->registerRule('check_tags', 'callback', 'check_tags');
        $this->_form->addRule('big4tx4_txt1','・[テキスト（1）]禁止タグは入力できません。JavaScriptパーツをご利用ください。','check_tags',null,$this->erchk);
        $this->_form->addRule('big4tx4_txt2','・[テキスト（2）]禁止タグは入力できません。JavaScriptパーツをご利用ください。','check_tags',null,$this->erchk);
        $this->_form->addRule('big4tx4_txt3','・[テキスト（3）]禁止タグは入力できません。JavaScriptパーツをご利用ください。','check_tags',null,$this->erchk);
        $this->_form->addRule('big4tx4_txt4','・[テキスト（4）]禁止タグは入力できません。JavaScriptパーツをご利用ください。','check_tags',null,$this->erchk);
        */
    }

    //データ下書き保存処理
    public function doSave($post)
    {
        //あらかじめ画像処理
        $result = null;
        $bimg1 = '';
        $bimg2 = '';
        $bimg3 = '';
        //既存データがあるか確認（画像削除用にも使用）
        $old_data = $this->getDetail();
        $record = null;
        foreach ($this->columns as $val) {
            if ($post[$val["column"]]!=null) {
                $record[$val["column"]] = $post[$val["column"]];
            } else {
                $record[$val["column"]] = null;
            }
        }
        // ここでDBに登録する画像情報を公開用の画像情報に設定する
        // 画像を差し替えた場合（たとえ同じ画像でも）、数値が入ってくる為、これを判定条件とする
        if (is_numeric($record["big4tx4_img1"])) {
            // ここでhidden属性（上記の数値に設定されたもの）を現在設定されている画像パスの状態にもどす
            // 前提：エラー時（画像以外の入力でエラーになった場合でも）は新しく選択したファイルが画面上から消えること（既存ファイルが選択されている状態に戻る）
            if (is_array($old_data)&& count($old_data)>0) {
                $this->_form->updateElementAttr('big4tx4_img1', array('value' => $old_data['big4tx4_img1']));
            }
            $imgmngrDB = new imgmngrDB();
            $imgdata = $imgmngrDB->getImageFromCode($record["big4tx4_img1"], UNITS_IMG_PATH, $record["pageu_code"], 1);
            if (isset($imgdata)) {
                $data_path1 = $imgdata["img_src"]; // コピー元（素材管理の画像パス）
                $img_path1 = $imgdata["gimg_src"];    // コピー先（公開用の画像パス）
                $record["big4tx4_img1"] = array_pop(explode('/', $img_path1)); //保存ファイル名取得
                $cpflg1 = true;
            } else {
                $errstr = "・（1）選択された画像が存在しません。";
            }
        }
        if (is_numeric($record["big4tx4_img2"])) {
            // ここでhidden属性（上記の数値に設定されたもの）を現在設定されている画像パスの状態にもどす
            // 前提：エラー時（画像以外の入力でエラーになった場合でも）は新しく選択したファイルが画面上から消えること（既存ファイルが選択されている状態に戻る）
            if (is_array($old_data)&& count($old_data)>0) {
                $this->_form->updateElementAttr('big4tx4_img2', array('value' => $old_data['big4tx4_img2']));
            }
            if (!isset($imgmngrDB)) {
                $imgmngrDB = new imgmngrDB();
            }
            $imgdata = $imgmngrDB->getImageFromCode($record["big4tx4_img2"], UNITS_IMG_PATH, $record["pageu_code"], 2);
            if (isset($imgdata)) {
                $data_path2 = $imgdata["img_src"]; // コピー元（素材管理の画像パス）
                $img_path2 = $imgdata["gimg_src"];    // コピー先（公開用の画像パス）
                $record["big4tx4_img2"] = array_pop(explode('/', $img_path2)); //保存ファイル名取得
                $cpflg2 = true;
            } else {
                if (isset($errstr)) {
                    $errstr .= "<br />・（2）選択された画像が存在しません。";
                } else {
                    $errstr = "・（2）選択された画像が存在しません。";
                }
            }
        }
        if (is_numeric($record["big4tx4_img3"])) {
            // ここでhidden属性（上記の数値に設定されたもの）を現在設定されている画像パスの状態にもどす
            // 前提：エラー時（画像以外の入力でエラーになった場合でも）は新しく選択したファイルが画面上から消えること（既存ファイルが選択されている状態に戻る）
            if (is_array($old_data)&& count($old_data)>0) {
                $this->_form->updateElementAttr('big4tx4_img3', array('value' => $old_data['big4tx4_img3']));
            }
            if (!isset($imgmngrDB)) {
                $imgmngrDB = new imgmngrDB();
            }
            $imgdata = $imgmngrDB->getImageFromCode($record["big4tx4_img3"], UNITS_IMG_PATH, $record["pageu_code"], 3);
            if (isset($imgdata)) {
                $data_path3 = $imgdata["img_src"]; // コピー元（素材管理の画像パス）
                $img_path3 = $imgdata["gimg_src"];    // コピー先（公開用の画像パス）
                $record["big4tx4_img3"] = array_pop(explode('/', $img_path3)); //保存ファイル名取得
                $cpflg3 = true;
            } else {
                if (isset($errstr)) {
                    $errstr .= "<br />・（3）選択された画像が存在しません。";
                } else {
                    $errstr = "・（3）選択された画像が存在しません。";
                }
            }
        }
        if (is_numeric($record["big4tx4_img4"])) {
            // ここでhidden属性（上記の数値に設定されたもの）を現在設定されている画像パスの状態にもどす
            // 前提：エラー時（画像以外の入力でエラーになった場合でも）は新しく選択したファイルが画面上から消えること（既存ファイルが選択されている状態に戻る）
            if (is_array($old_data)&& count($old_data)>0) {
                $this->_form->updateElementAttr('big4tx4_img4', array('value' => $old_data['big4tx4_img4']));
            }
            if (!isset($imgmngrDB)) {
                $imgmngrDB = new imgmngrDB();
            }
            $imgdata = $imgmngrDB->getImageFromCode($record["big4tx4_img4"], UNITS_IMG_PATH, $record["pageu_code"], 4);
            if (isset($imgdata)) {
                $data_path4 = $imgdata["img_src"]; // コピー元（素材管理の画像パス）
                $img_path4 = $imgdata["gimg_src"];    // コピー先（公開用の画像パス）
                $record["big4tx4_img4"] = array_pop(explode('/', $img_path4)); //保存ファイル名取得
                $cpflg4 = true;
            } else {
                if (isset($errstr)) {
                    $errstr .= "<br />・（4）選択された画像が存在しません。";
                } else {
                    $errstr = "・（4）選択された画像が存在しません。";
                }
            }
        }
        
        if (is_numeric($record['big4tx4_img1_sp']) && (!$old_data || $_REQUEST['autoregister1'] != 1)) {
            // ここでhidden属性（上記の数値に設定されたもの）を現在設定されている画像パスの状態にもどす
            // 前提：エラー時（画像以外の入力でエラーになった場合でも）は新しく選択したファイルが画面上から消えること（既存ファイルが選択されている状態に戻る）
            if (is_array($old_data) && count($old_data) > 0) {
                $this->_form->updateElementAttr('big4tx4_img1_sp', array('value' => $old_data['big4tx4_img1_sp']));
            }
            $imgmngrDB = new imgmngrDB();
            $imgdata = $imgmngrDB->getImageFromCode($record['big4tx4_img1_sp'], UNITS_IMG_PATH, $record['pageu_code'], 1);
            if (isset($imgdata)) {
                $data_path1_sp = $imgdata['img_src']; // コピー元（素材管理の画像パス）
                $img_path1_sp = $imgdata['gimg_src'];  // コピー先（公開用の画像パス）
                $record['big4tx4_img1_sp'] = array_pop(explode('/', $img_path1_sp)); //保存ファイル名取得
                $cpflg1_sp = true;
            } else {
                $errstr = _gettext('B_P00701');
            }
        } elseif ($_REQUEST['autoregister1'] == 1) {
            if (is_numeric($tmp_img_sp1)) {
                $record['big4tx4_img1_sp'] = $tmp_img_sp1;
                // ここでhidden属性（上記の数値に設定されたもの）を現在設定されている画像パスの状態にもどす
                // 前提：エラー時（画像以外の入力でエラーになった場合でも）は新しく選択したファイルが画面上から消えること（既存ファイルが選択されている状態に戻る）
                if (is_array($old_data) && count($old_data) > 0) {
                    $this->_form->updateElementAttr('big4tx4_img1_sp', array('value' => $old_data['big4tx4_img1_sp']));
                }
                $imgmngrDB = new imgmngrDB();
                $imgdata = $imgmngrDB->getImageFromCode($record['big4tx4_img1_sp'], UNITS_IMG_PATH, $record['pageu_code'], 1);
                if (isset($imgdata)) {
                    $data_path1_sp = $imgdata['img_src']; // コピー元（素材管理の画像パス）
                    $img_path1_sp = $imgdata['gimg_src'];  // コピー先（公開用の画像パス）
                    $record['big4tx4_img1_sp'] = array_pop(explode('/', $img_path1_sp)); //保存ファイル名取得
                    $cpflg1_sp = true;
                } else {
                    $errstr = _gettext('B_P00701');
                }
            } else {
                $record['big4tx4_img1_sp'] = $record['big4tx4_img1'];
            }
        }

        if (is_numeric($record['big4tx4_img2_sp']) && (!$old_data || $_REQUEST['autoregister2'] != 1)) {
            // ここでhidden属性（上記の数値に設定されたもの）を現在設定されている画像パスの状態にもどす
            // 前提：エラー時（画像以外の入力でエラーになった場合でも）は新しく選択したファイルが画面上から消えること（既存ファイルが選択されている状態に戻る）
            if (is_array($old_data) && count($old_data) > 0) {
                $this->_form->updateElementAttr('big4tx4_img2_sp', array('value' => $old_data['big4tx4_img2_sp']));
            }
            $imgmngrDB = new imgmngrDB();
            $imgdata = $imgmngrDB->getImageFromCode($record['big4tx4_img2_sp'], UNITS_IMG_PATH, $record['pageu_code'], 2);
            if (isset($imgdata)) {
                $data_path2_sp = $imgdata['img_src']; // コピー元（素材管理の画像パス）
                $img_path2_sp = $imgdata['gimg_src'];  // コピー先（公開用の画像パス）
                $record['big4tx4_img2_sp'] = array_pop(explode('/', $img_path2_sp)); //保存ファイル名取得
                $cpflg2_sp = true;
            } else {
                $errstr = _gettext('B_P00701');
            }
        } elseif ($_REQUEST['autoregister2'] == 1) {
            if (is_numeric($tmp_img_sp2)) {
                $record['big4tx4_img2_sp'] = $tmp_img_sp2;
                // ここでhidden属性（上記の数値に設定されたもの）を現在設定されている画像パスの状態にもどす
                // 前提：エラー時（画像以外の入力でエラーになった場合でも）は新しく選択したファイルが画面上から消えること（既存ファイルが選択されている状態に戻る）
                if (is_array($old_data) && count($old_data) > 0) {
                    $this->_form->updateElementAttr('big4tx4_img2_sp', array('value' => $old_data['big4tx4_img2_sp']));
                }
                $imgmngrDB = new imgmngrDB();
                $imgdata = $imgmngrDB->getImageFromCode($record['big4tx4_img2_sp'], UNITS_IMG_PATH, $record['pageu_code'], 2);
                if (isset($imgdata)) {
                    $data_path2_sp = $imgdata['img_src']; // コピー元（素材管理の画像パス）
                    $img_path2_sp = $imgdata['gimg_src'];  // コピー先（公開用の画像パス）
                    $record['big4tx4_img2_sp'] = array_pop(explode('/', $img_path2_sp)); //保存ファイル名取得
                    $cpflg2_sp = true;
                } else {
                    $errstr = _gettext('B_P00701');
                }
            } else {
                $record['big4tx4_img2_sp'] = $record['big4tx4_img2'];
            }
        }

        if (is_numeric($record['big4tx4_img3_sp']) && (!$old_data || $_REQUEST['autoregister3'] != 1)) {
            // ここでhidden属性（上記の数値に設定されたもの）を現在設定されている画像パスの状態にもどす
            // 前提：エラー時（画像以外の入力でエラーになった場合でも）は新しく選択したファイルが画面上から消えること（既存ファイルが選択されている状態に戻る）
            if (is_array($old_data) && count($old_data) > 0) {
                $this->_form->updateElementAttr('big4tx4_img3_sp', array('value' => $old_data['big4tx4_img3_sp']));
            }
            $imgmngrDB = new imgmngrDB();
            $imgdata = $imgmngrDB->getImageFromCode($record['big4tx4_img3_sp'], UNITS_IMG_PATH, $record['pageu_code'], 2);
            if (isset($imgdata)) {
                $data_path3_sp = $imgdata['img_src']; // コピー元（素材管理の画像パス）
                $img_path3_sp = $imgdata['gimg_src'];  // コピー先（公開用の画像パス）
                $record['big4tx4_img3_sp'] = array_pop(explode('/', $img_path3_sp)); //保存ファイル名取得
                $cpflg3_sp = true;
            } else {
                $errstr = _gettext('B_P00701');
            }
        } elseif ($_REQUEST['autoregister3'] == 1) {
            if (is_numeric($tmp_img_sp3)) {
                $record['big4tx4_img3_sp'] = $tmp_img_sp3;
                // ここでhidden属性（上記の数値に設定されたもの）を現在設定されている画像パスの状態にもどす
                // 前提：エラー時（画像以外の入力でエラーになった場合でも）は新しく選択したファイルが画面上から消えること（既存ファイルが選択されている状態に戻る）
                if (is_array($old_data) && count($old_data) > 0) {
                    $this->_form->updateElementAttr('big4tx4_img3_sp', array('value' => $old_data['big4tx4_img3_sp']));
                }
                $imgmngrDB = new imgmngrDB();
                $imgdata = $imgmngrDB->getImageFromCode($record['big4tx4_img3_sp'], UNITS_IMG_PATH, $record['pageu_code'], 2);
                if (isset($imgdata)) {
                    $data_path3_sp = $imgdata['img_src']; // コピー元（素材管理の画像パス）
                    $img_path3_sp = $imgdata['gimg_src'];  // コピー先（公開用の画像パス）
                    $record['big4tx4_img3_sp'] = array_pop(explode('/', $img_path3_sp)); //保存ファイル名取得
                    $cpflg3_sp = true;
                } else {
                    $errstr = _gettext('B_P00701');
                }
            } else {
                $record['big4tx4_img3_sp'] = $record['big4tx4_img3'];
            }
        }

        if (is_numeric($record['big4tx4_img4_sp']) && (!$old_data || $_REQUEST['autoregister4'] != 1)) {
            // ここでhidden属性（上記の数値に設定されたもの）を現在設定されている画像パスの状態にもどす
            // 前提：エラー時（画像以外の入力でエラーになった場合でも）は新しく選択したファイルが画面上から消えること（既存ファイルが選択されている状態に戻る）
            if (is_array($old_data) && count($old_data) > 0) {
                $this->_form->updateElementAttr('big4tx4_img4_sp', array('value' => $old_data['big4tx4_img4_sp']));
            }
            $imgmngrDB = new imgmngrDB();
            $imgdata = $imgmngrDB->getImageFromCode($record['big4tx4_img4_sp'], UNITS_IMG_PATH, $record['pageu_code'], 2);
            if (isset($imgdata)) {
                $data_path4_sp = $imgdata['img_src']; // コピー元（素材管理の画像パス）
                $img_path4_sp = $imgdata['gimg_src'];  // コピー先（公開用の画像パス）
                $record['big4tx4_img4_sp'] = array_pop(explode('/', $img_path4_sp)); //保存ファイル名取得
                $cpflg4_sp = true;
            } else {
                $errstr = _gettext('B_P00701');
            }
        } elseif ($_REQUEST['autoregister4'] == 1) {
            if (is_numeric($tmp_img_sp4)) {
                $record['big4tx4_img4_sp'] = $tmp_img_sp4;
                // ここでhidden属性（上記の数値に設定されたもの）を現在設定されている画像パスの状態にもどす
                // 前提：エラー時（画像以外の入力でエラーになった場合でも）は新しく選択したファイルが画面上から消えること（既存ファイルが選択されている状態に戻る）
                if (is_array($old_data) && count($old_data) > 0) {
                    $this->_form->updateElementAttr('big4tx4_img4_sp', array('value' => $old_data['big4tx4_img4_sp']));
                }
                $imgmngrDB = new imgmngrDB();
                $imgdata = $imgmngrDB->getImageFromCode($record['big4tx4_img4_sp'], UNITS_IMG_PATH, $record['pageu_code'], 2);
                if (isset($imgdata)) {
                    $data_path4_sp = $imgdata['img_src']; // コピー元（素材管理の画像パス）
                    $img_path4_sp = $imgdata['gimg_src'];  // コピー先（公開用の画像パス）
                    $record['big4tx4_img4_sp'] = array_pop(explode('/', $img_path4_sp)); //保存ファイル名取得
                    $cpflg4_sp = true;
                } else {
                    $errstr = _gettext('B_P00701');
                }
            } else {
                $record['big4tx4_img4_sp'] = $record['big4tx4_img4'];
            }
        }
        
        if (isset($errstr)) {
            return $errstr;
        }
        //URL指定のない場合は保存しない
        if ($record["big4tx4_clc_flg1"]!=3) {
            $record["big4tx4_jmp_url1"]='';
            $record["big4tx4_jmp_flg1"]=1;
        }
        if ($record["big4tx4_clc_flg2"]!=3) {
            $record["big4tx4_jmp_url2"]='';
            $record["big4tx4_jmp_flg2"]=1;
        }
        if ($record["big4tx4_clc_flg3"]!=3) {
            $record["big4tx4_jmp_url3"]='';
            $record["big4tx4_jmp_flg3"]=1;
        }
        if ($record["big4tx4_clc_flg4"]!=3) {
            $record["big4tx4_jmp_url4"]='';
            $record["big4tx4_jmp_flg4"]=1;
        }

        //既存データがあるか確認
        $old_data = $this->getDetail();
        $this->db->query('BEGIN');
        //保存処理開始
        if (is_array($old_data)&& count($old_data)>0) {
            //更新
            if (!$this->db->update($this->getTbl(), $record, "pageu_code=".$record["pageu_code"])) {
                $this->db->query('ROLLBACK');
                return '・データの保存に失敗しました';
            }
        } else { //新規
            if (!$this->db->insert($this->getTbl(), $record)) {
                $this->db->query('ROLLBACK');
                return '・データの保存に失敗しました';
            }
        }

        // saas
        $fsize = array();
        if ($cpflg1) {
            $fsize[] = array('size' => filesize(BASE_PATH.$data_path1));
        }
        if ($cpflg2) {
            $fsize[] = array('size' => filesize(BASE_PATH.$data_path2));
        }
        if ($cpflg3) {
            $fsize[] = array('size' => filesize(BASE_PATH.$data_path3));
        }
        if ($cpflg4) {
            $fsize[] = array('size' => filesize(BASE_PATH.$data_path4));
        }
        if ($cpflg1_sp) {
            $fsize[] = array('size' => filesize(BASE_PATH.$data_path1_sp));
        }
        if ($cpflg2_sp) {
            $fsize[] = array('size' => filesize(BASE_PATH.$data_path2_sp));
        }
        if ($cpflg3_sp) {
            $fsize[] = array('size' => filesize(BASE_PATH.$data_path3_sp));
        }
        if ($cpflg4_sp) {
            $fsize[] = array('size' => filesize(BASE_PATH.$data_path4_sp));
        }
        /*if (count($fsize)>0 && !commonFile::chkSaveFiles($fsize)) {
            $this->db->query('ROLLBACK');
            return _gettext('B_P00281');
        }*/

        // ここでファイルのコピーを行う
        if ($cpflg1) {
            if (!@copy(BASE_PATH.$data_path1, BASE_PATH.$img_path1)) {
                $this->db->query('ROLLBACK');
                return '・ファイルのコピーに失敗しました';
            } else {
                @chmod(BASE_PATH.$img_path1, 0666);
            }
        }
        if ($cpflg2) {
            if (!@copy(BASE_PATH.$data_path2, BASE_PATH.$img_path2)) {
                $this->db->query('ROLLBACK');
                return '・ファイルのコピーに失敗しました';
            } else {
                @chmod(BASE_PATH.$img_path2, 0666);
            }
        }
        if ($cpflg3) {
            if (!@copy(BASE_PATH.$data_path3, BASE_PATH.$img_path3)) {
                $this->db->query('ROLLBACK');
                return '・ファイルのコピーに失敗しました';
            } else {
                @chmod(BASE_PATH.$img_path3, 0666);
            }
        }
        if ($cpflg4) {
            if (!@copy(BASE_PATH.$data_path4, BASE_PATH.$img_path4)) {
                $this->db->query('ROLLBACK');
                return '・ファイルのコピーに失敗しました';
            } else {
                @chmod(BASE_PATH.$img_path4, 0666);
            }
        }
        if ($cpflg1_sp) {
            if (!@copy(BASE_PATH.$data_path1_sp, BASE_PATH.$img_path1_sp)) {
                $this->db->query('ROLLBACK');
                return '・ファイルのコピーに失敗しました';
            } else {
                @chmod(BASE_PATH.$img_path1_sp, 0666);
            }
        }
        if ($cpflg2_sp) {
            if (!@copy(BASE_PATH.$data_path2_sp, BASE_PATH.$img_path2_sp)) {
                $this->db->query('ROLLBACK');
                return '・ファイルのコピーに失敗しました';
            } else {
                @chmod(BASE_PATH.$img_path2_sp, 0666);
            }
        }
        if ($cpflg3_sp) {
            if (!@copy(BASE_PATH.$data_path3_sp, BASE_PATH.$img_path3_sp)) {
                $this->db->query('ROLLBACK');
                return '・ファイルのコピーに失敗しました';
            } else {
                @chmod(BASE_PATH.$img_path3_sp, 0666);
            }
        }
        if ($cpflg4_sp) {
            if (!@copy(BASE_PATH.$data_path4_sp, BASE_PATH.$img_path4_sp)) {
                $this->db->query('ROLLBACK');
                return '・ファイルのコピーに失敗しました';
            } else {
                @chmod(BASE_PATH.$img_path4_sp, 0666);
            }
        }
        $this->db->query('COMMIT');
        return null;
    }
}
